---
updatedAt: 2026-01-20T11:39:51.000Z
agentTools:
  projectIndex: https://docs.onfleet.com/llms.txt
---

# Introduction

## Introduction

The Onfleet API is a [RESTful](https://en.wikipedia.org/wiki/Representational_state_transfer) web service for developers and [integrations](https://onfleet.com/partners) to programmatically interact with [Onfleet](https://onfleet.com)’s data and real-time delivery management and analytics functionality.

All data exchanged between clients and the API is [JSON](https://en.wikipedia.org/wiki/JSON) over HTTPS. Note that we will only accept `application/json` as content type and that the request body, if relevant, must be JSON-encoded. (Note that certain server errors such as 502 and 504 may be returned as HTML, depending on the mode of failure.)

The base URL for the Onfleet API is `https://onfleet.com/api/v2`.

> 📘 Sample Requests
>
> All sample requests in this documentation are formatted for [cURL](http://curl.haxx.se/docs/manpage.html), additional examples in Python, Javascript and PHP are obtained from [official API wrappers](https://docs.onfleet.com/reference#api-wrappers).

> 📘 Postman Collection
>
> **Postman** is a GUI tool for making API requests - This is very useful for learning the Onfleet API or testing requests as you're building an implementation.
>
> If you use Postman, here is a pre-built a "collection" which includes predefined requests for all of our API endpoints.
>
> [![Run in Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/14168007-2dc047db-9556-442a-b643-e913027a74cf?action=collection%2Ffork\&collection-url=entityId%3D14168007-2dc047db-9556-442a-b643-e913027a74cf%26entityType%3Dcollection%26workspaceId%3Daeb880a5-fc50-4c11-84ca-03ecc8769da6)

> 🚧 Postman API Authorization Settings
>
> When the above Postman collection is downloaded, the Authorization setting for each endpoint is set to “Inherit auth from Parent”, which may not work as intended on some requests. If any credential errors appear, please change Authorization setting to “Basic Auth” and use the [API key](https://docs.onfleet.com/reference/scope-api-key) as a username with nothing in the password field.

All request body parameters, where relevant, are required unless otherwise specified in the description.

If you have questions about using the API, want to share some feedback, or have come across a bug you'd like to report, write us an email at <support@onfleet.com> or [submit a request](http://support.onfleet.com/hc/en-us/requests/new) through our Support Center..